Subject: bug#44610: 27.1; Keyboard Macro Performance Problem

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Nov 2020 18:50:33 +0200

> Date: Sat, 14 Nov 2020 19:03:11 +0300
> From: Jean Louis <[email-masked]>
> Cc: Robert Thorpe <[email-masked]>,
>   [email-masked]
> 
> I am not the initial reporter. I have tested it in python-mode in
> plain emacs -Q with the latest development version:
> 
> - command-execute                                          20,601,881  99%
>  - call-interactively                                      20,601,881  99%

Btw, did you activate the cpu profiler or the memory profiler?  It
looks like it was the latter, in which case the percents might be
skewed, as the frequency of probing the program counter is not
constant.